Categories:
  - Connectivity
  - Security
License: MIT
AuthorName: Zane Schepke
AuthorEmail: support@zaneschepke.com
SourceCode: https://github.com/zaneschepke/wgtunnel
IssueTracker: https://github.com/zaneschepke/wgtunnel/issues
Changelog: https://github.com/zaneschepke/wgtunnel/releases
Donate: https://ko-fi.com/zaneschepke

AutoName: WG Tunnel

RepoType: git
Repo: https://github.com/zaneschepke/wgtunnel.git

Builds:
  - versionName: 3.0.0
    versionCode: 30000
    commit: 1714618f0c237d69fd94197730c96d3cf5af377a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.0.2
    versionCode: 30002
    commit: 11aea3f1c45af85782fa746d56a104602fd3a159
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.0.3
    versionCode: 30003
    commit: ca3f3fd4392f6078695870c43f6c17d9d4c5d72e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.1.0
    versionCode: 31000
    commit: c8f2cfd758476cd05e50122544d20fc52cfaea3a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e 's/8.3-rc-2-bin/8.3-bin/' ../gradle/wrapper/gradle-wrapper.properties
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.1.1
    versionCode: 31100
    commit: 321730536d1f79b3742c8e497bf0b1def87263cd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e 's/8.3-rc-2-bin/8.3-bin/' ../gradle/wrapper/gradle-wrapper.properties
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.1.3
    versionCode: 31300
    commit: 77cd328a71b3671a4bbffe6329d6d396ddadd9e4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e 's/8.3-rc-2-bin/8.3-bin/' ../gradle/wrapper/gradle-wrapper.properties
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.1.4
    versionCode: 31400
    commit: 37bae82700f8733778a5a628372fd1603dab1f40
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e 's/8.3-rc-2-bin/8.3-bin/' ../gradle/wrapper/gradle-wrapper.properties
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.2.0
    versionCode: 32000
    commit: e0cce8fba4d4fd304bbad2ae07ca26a390a0eecd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.2.1
    versionCode: 32100
    commit: 90b006acc59bdb09f7400f7f33fed67a20d88a72
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.2.2
    versionCode: 32200
    commit: 11ad494fbbefda91679c4a8a86c3761bf8d9c8f7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.2.3
    versionCode: 32300
    commit: 34d71a609605a00af4051b6d2600f3ef66845052
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.2.5
    versionCode: 32500
    commit: f0ec6612237e389b17f32d19df6300e9e289e8fe
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.3.2
    versionCode: 33200
    commit: 61e375132188fb6aebc51dd99839bc3990aa3301
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.3.3
    versionCode: 33300
    commit: 5a15776bb3719148181d601c362192ec4d80d68a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.3.4-test1
    versionCode: 33401
    commit: 091cd2e028c8819387dfe15402f352daa0fc717d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.3.5
    versionCode: 33500
    commit: 6427b2f832e81adb7e98ae29c04a2ed325c724dc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.3.8
    versionCode: 33800
    commit: ee8db0a859778308ca584486a6d551a341b5b365
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts
      - sed -i -e '/maven {/,/^        }/d' ../settings.gradle.kts

  - versionName: 3.3.9
    versionCode: 33900
    commit: 5946d7c10d195e6ddefe12b0666b64955130ae16
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts
      - sed -i -e '/gitea.zaneschepke.com/d' ../settings.gradle.kts

  - versionName: 3.4.0
    versionCode: 34000
    commit: 701e611e5036ee9e9179c81994329c40d590b166
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts
      - sed -i -e '/gitea.zaneschepke.com/d' ../settings.gradle.kts

AutoUpdateMode: Version
UpdateCheckMode: Tags ^[\d.]+$
UpdateCheckData: buildSrc/src/main/kotlin/Constants.kt|VERSION_CODE = (\d+)|.|VERSION_NAME
  = "(.+)"
CurrentVersion: 3.4.0
CurrentVersionCode: 34000
